## maep 1.3.5

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = maep
VERSION = $${VERSION_PREFIX}1.3.5$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== src/Makefile ===
#
# Copyright (C) 2009-2010 Till Harbaum <till@harbaum.org>.
#
# This file is part of Maep.
#
# Maep is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maep is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maep.  If not, see <http://www.gnu.org/licenses/>.
#

APP = maep
prefix = /usr
datarootdir = /opt
datadir = /opt
EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
VERSION = $${VERSION_PREFIX}1.3.5$${VERSION_SUFFIX}
MAEMO_VERSION_MAJOR = 5

bindir = ${exec_prefix}/bin

OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o graph.o hxm.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lbluetooth   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
		echo "Optifying binary"; \
		install -d $(DESTDIR)$(datadir)/$(APP); \
		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
	else \
		echo "Not Optifying binary"; \
		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
	fi

clean:
	rm -f maep *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

about.o: config.h misc.h icon.h about.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
gps.o: gps.h track.h osm-gps-map.h config.h
icon.o: icon.h misc.h
main.o: config.h menu.h track.h osm-gps-map.h osm-gps-map-osd-classic.h gps.h
menu.o: config.h about.h track.h osm-gps-map.h
misc.o: config.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
track.o: config.h track.h osm-gps-map.h converter.h misc.h

=== debian/changelog ===
maep (1.3.5) unstable; urgency=low

  * portrait mode / auto rotation
  * Fixed search entry focus bug

 -- Till Harbaum <till@harbaum.org>  Wed, 19 May 2010 19:17:56 +0200

=== debian/control ===
Source: maep
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl4-openssl-dev | libcurl3-openssl-dev, tablet-browser-interface-dev, libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2

Package: maep
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple tile map
 Maep is a tile based map utility for services like openstreetmap, google maps
 and virtual earth. This is the same map renderer that's also being used by
 GPXView and OSM2Go. Maep is meant to easily be included into other programs
 and to become a universal map widget for the Maemo5 platform.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1155
XB-Maemo-Display-Name: Maep
# Maemo icon maep.48.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAthSURBVGiB7VppcFvVFf7ek/S0S5ZkWbJl
 WZaXxHZix2sSE5yYNiE4kIaEmiyE4HRooEO6zUBTpqWjATKdwBQmDG0zhBIo
 LWQI0AKhOGSF0CSExHGT2MG75SWRJVuy9v29/kj9YlmyrCzAn36/dM8995zz
 vfveuefeK+D/+G5B3CpDTU0mAUOkbeHzJdUUT6wXCKRagUCmZAD4vC673++2
 BILewYDPc8ZiGX/l2DFT4Fb4vSkCGzduzxSLVdsyNHmrjMZqA18gJRgaiDI0
 vNExeCI2MFGAz6RDxFGBYThgGMDnczL9/WfNNmvfB/bA2I4D7//myrdKoLHR
 pNQV5P2zovie2/kCGeFyjsFMn0BP+DBs4a/ho8fAgJ7iiISQUEHJKYIe30MW
 sQh8UomA38lcvNh8cMTSvf7AAZP9GyXQ2GiiMjT6XZXz73pIKtKQnb1fgsoV
 wVBZipf234ZoNHgdjkkskD8BTm8OdBnz4XKNRNvbmv/K0MOP7ttnCqVqh5Oq
 4oYNzxRWzW/oqqxoWGiju4jzgY9QefcaKHRaECSJ873vIRTxpEwAYGAsrMaC
 5T+AzdGO8SEXOatweQXNSH4qlxne7+09mtJspESgqen5lXX1645naIzC5tGn
 cczxByg0ehRk1bM6obAHg6NnroPAVRJzDCuh1GuQXZ2FnksnoBCUCpSqvJ/I
 pFmt3d2HOm+awI8f2fn40mWb90DAkPssW9EfOAEACIRcqCp8gNVTSnPR0v1W
 3LufDC7vZRTpV0DIlwMAskoMcPp6ELSJyOycheukUp23q7P5xA0TaGp6fuXS
 OzfvGWeGsNeyBY7IANsXDLuhVcyBQmoAAFBcEcIRLy6P/SdlAgBAEASM2kVs
 W5mthkAbxFCrBXr9omUigbKlp2f6mZiWwIYNzxTWLVn7Ofgg91q2wBsdi9Ox
 OC5iXl4jSOKqmSxVOdoHPr6ub2HM1Yvy/LXgcihWJpSJIdWBsLb7CZVqdiOf
 Uu81mxN/EwkJNDaaqJr5DZ0ZmUbRuyNb4QgPJFJDIOSCVKSBRlFy1RjJg1yS
 jY7B5pQJROkwKK4I2emVMXKhTAx/dBi0I4vkC2UPhoLZL9psx6JTx5OJjGoy
 9buMeZVpB0a3wxJsTxpA/8jJmHZBZj1LKFWc7XoT4Yg/Tl64sAQhaSu02oo0
 g1G3K9HYOAKNjSZlRcXyhwa959Du+XhG55q04jhZWe59cbIsZRlkosyENvwh
 Jy4N/CthX+26OtjGLiAvb/mm2lqTckYCen3h23K5lvx8/KUZgweA2dnL42TF
 OQ3gcUUxsjvmbcP9i1+FVKhNaMdsOzWtD/1CHkRiDUeVnv/21L4YAhs3bs+s
 rGpY1jl+DJeD52cMPkM+C2kSfZycxxWhOKeBbXM4fGSkFUEu1mHt4t0JSYTC
 vmn9FC8ug81xGrl5dy2rq9seM40xBCQS1TaBQEa0+P8+Y/AAkJ42e9q+ya+R
 Wl4AkryaL+QSPdbVvwaCiJ38HHVNUl/6GgkoSkZQIuW2aQlotHmr3AE7hgOt
 KRFQSfOm7dMoStiPOUMe+53IRFngcYRsm0/JUJb3w6S+SpaUwu8fg1xmXDVZ
 zp340dRkEuTnVxu6gsdAkARW176MLGUZzNYvIeCngc8VY+9nmxGZVLDp1VVJ
 nZbl3oeDjnboVPNi5C7fFYQiXrZdU7gJfJ4kqS0OlwNvpANqdZWhvt4kmNhP
 sDNAEGlb+AIZ0e0/gkUlj8GovR18SoZZ2cuQo66BRlGC75f/mjUopOTQKuYm
 dVqc0wAhJYduSo632C/G2KkoWJ/UzgQ0RUJQlIyIMGlbJmTsDAhE0mqGAfyk
 HdWzNiU0MDd3NbyBMbSZP8LSyt/GvcdTweOKcP/iv0Au1sXIHR4z+3tx6S9A
 ccUpEcgtN+BSH0DxJNVxBPiUWE8zNCrnPAiS4Ca2AGBB0cNYUPRwSg4BIF1e
 ECfzBmwArqbgubmrU7alylYjSofA4YrY1HdtBgQSrSc4hqKc+Lx+q1FmbESB
 bumMmWcqOFwO/L5RUDwJm4evERDKlc5xGxRIvNDcSiSalVQRCjsYLk/Grsgs
 AYZmQIcJBjewTz5+cSdae94BQZCoLHwAVQUPgM+T3nCQycAwDBjmWpv9Cn1+
 l10kUCQNnqajaP7qKXx24UXYnJ2I0mEcPf88TnfsQSjiRTDsxsn2Xdj9SQO6
 hg9/IwS4PAURDLrY0pqdAb/PbZFI0ovoSBQkN/E2wRMYQdvARwCAM51vgMvh
 x6wLEwiGPWjtfQe5mtq4muhm4PM5QFHpCIU8lgkZOwPBoHeQAAfOEdu0BgSU
 nC0JACQMfgID1i+x59M1LOFbgcOnXgZoDiJhz+CEjCUQ8HvO0Aww0mFOPBoA
 xRUjS1meskO334Lmr55Cu3n/jcbMYtB2BleGRsAwQDjsZk8PWAKDnPFXfD4n
 4xtKfuI3x3BPnGymBS1Cp3zMkxBROoSDLc9A6l6CUNjFWCj3KxN9rOdjr5sC
 fX1nzRnyItCRuJ0bi2L9Coj41/YVmcoyPLbyM+Rqbkuor1WUoCTn7psicOrS
 bjg8g5C46mC1nRnsn3SuGvPobLa+D0QiFXpPX5jWGIfDx7z/VY5ioRqral8A
 nyeFgJLH6fJ5UtxbuxNcDv+Ggx919eB0xx6IfPNARhRwO8z/mNwfQ8DjGtvh
 97sYZ4cXyTA3dzUylaVYu/hViAXpCEcD6Lp8JE6vetYmiIVqtt1u3o99x7fg
 +MWdCIScMwYfCDnxyeknQTMRKOxrEQy7mVDQvmOyTky+vHTpiEeXXXZbUeHy
 fIu9DcpsTULDfJ4UpcY1EFJpV42QXCgkBgzbWxGOXN1ZyURZWFHzLDgkD8DV
 jfuhc9vh9A5jeKwV5/veBc1EoUkrZnUmwzr+NT489Tiszg4I/aVQW34Oc9+H
 B0+d3PrnyXpxVdvQQPf6gvwRq+tKmIMFMz4kFrOz78Qs3VL0Xvkc/pADRm1d
 zBrQazkeox8Me/Dvtj+ipestFOesgF5dBZqO4or9ArovH8G4d4jVVVu2wue3
 0PbRnri6O+HKu2Hj7tcWLmzabAmfRMXqutRZJMGeT1fD7u677nEyZwO0gyZ0
 dr2x59QXj/xoan/C/BcODj9qNreMK+hy9H6V/FwoVfhDjuseI/AXI2P4SYza
 zzndjiuPJtJJSGDfPlOo49Kn810ua8TXLoV92HrdzqeCSwquTz+iQqb5Ofjd
 1shl88c1bW2J7wymXYH273+q61zru2t4PDHTtd/K3CwJipd6TcSNqKDrfwFM
 QMT09b23prX12a7pdJOeTnd2HOqUynReo2HRsrEOP+END0OZrU42ZFq0D+yH
 xz/zQxAEiqHv+xPgUzE9nW/+6uzpJ15Ppj/j/UDH180nBCJlizp9diPpziL7
 O09DN8eQeuQTdoYOwOkdTqojdzZAN/gcgl5XtKvzb/fOFDyQ4g1Nd+ehTpFQ
 vZfPlz+oFNYI2o60IhAZQ3pO4nUiEbouH502Cwn9pdANP4M0+zrY7edd/V37
 5p1r+d3JhMo3QgAAenuP2o252S8ODfdmZ6jLy0hPLnn+0En4g3ao9GqQZPKC
 rm/kC9ic1+4pCJAQ+8uhtf4SGdafIeIi6L7e9163DLUuuXDh6elr+im4oWvW
 2uUmpVaS/3Ze/l3LKEpG+LxjcIc7oJ4lhGGeAUqdGpwpm6LDLb9HW/cRCIOz
 IXfdAZF7Ebi0AsGQmxk0Nx8ctfasb2v7hq9Zp6KubnumRKrcJpMbV2m0VQYe
 T0YwDBClo/B5RxEMOxiGBrhcBcGn0sGAA4ZmEAy6GKvtrNnp6P8g6LfvOHv2
 W77oToT6epOA4KRtoXiSapIr0vN4Ei2PK1cCQCDotIeCHkso7BkMh9xnKK77
 lv3V4P/4rvFfKfVgw3PUirkAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f Makefile
	#docbook-to-man debian/maep.sgml > maep.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/maep.
	$(MAKE) DESTDIR=$(CURDIR)/debian/maep install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maep 1.3.6

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.3.5$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.6$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.3.5$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.6$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
@@ -30,7 +30,7 @@
 OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o graph.o hxm.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
+CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
 LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lbluetooth   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   
 
 all: $(APP)

=== debian/changelog ===
maep (1.3.6) unstable; urgency=low

  * Fixed track state restore bug
  * Fixed some portrait issue in about dialog
  * Screen rotation menu option
  * Swap zoom hard keys in portrait mode

 -- Till Harbaum <till@harbaum.org>  Thu, 20 May 2010 20:36:36 +0200
